
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ES6，数组遍历 / 憋错料</title>

    <meta name="description" content="ES6，数组遍历 ES6提供了entries(),keys(),values()方法返回数组的遍历器,对于遍历器(Iterator)可以使用for...of进行便利,也可是使用entries()返回的遍历器Iterator.next()方法进行遍历. 1.使用keys()遍历. keys()返回的是数组元素索引号的遍历器. const arr1 = ['a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k'] for (let index of arr1.keys">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">ES6，数组遍历</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>ES6提供了entries()，keys()，values()方法返回数组的遍历器，对于遍历器（Iterator）可以使用for...of进行便利，也可是使用entries（）返回的遍历器Iterator.next()方法进行遍历。</p>
<p>1.使用keys()遍历。</p>
<p>keys()返回的是数组元素索引号的遍历器。</p>
<pre>const arr1 = [‘a‘, ‘b‘, ‘c‘, ‘d‘, ‘e‘, ‘f‘, ‘g‘, ‘h‘, ‘i‘, ‘j‘, ‘k‘]
for (let index of arr1.keys()) {
  console.log(index);
}</pre>
<p>结果：</p>
<p>可以看到输出的都是每个数组元素的index。</p>
<pre>0
1
2
3
4
5
6
7
8
9
10 </pre>
<p>2.使用values()遍历。</p>
<p>values()返回的是数组元素值的遍历器。</p>
<pre>for (let val of  arr1.values()) {
  console.log(val);
}</pre>
<p>结果：</p>
<pre>a
b
c
d
e
f
g
h
i
j
k </pre>
<p>3.使用entries()遍历。</p>
<p>配合解构使用，可以拿到元素的index和value。</p>
<pre>for (let [index, val] of arr1.entries()) {
  console.log(index, val);
}</pre>
<p>结果：</p>
<pre>0 ‘a‘
1 ‘b‘
2 ‘c‘
3 ‘d‘
4 ‘e‘
5 ‘f‘
6 ‘g‘
7 ‘h‘
8 ‘i‘
9 ‘j‘
10 ‘k‘</pre>
<p>4.使用Iterator.next()遍历。</p>
<p>基于entries()返回的遍历器，调用遍历器的next()的方法可以获取每一个元素的访问入口，该入口有一个done属性可以表明是否便利结束。通过入口可以拿到value属性，其就是元素的索引和值的数组。</p>
<pre>let arrEntries=arr1.entries();
let entry=arrEntries.next();
while(!entry.done){
  console.log(entry.value);
  entry=arrEntries.next();
}</pre>
<p>结果：</p>
<pre>[ 0, ‘a‘ ]
[ 1, ‘b‘ ]
[ 2, ‘c‘ ]
[ 3, ‘d‘ ]
[ 4, ‘e‘ ]
[ 5, ‘f‘ ]
[ 6, ‘g‘ ]
[ 7, ‘h‘ ]
[ 8, ‘i‘ ]
[ 9, ‘j‘ ]
[ 10, ‘k‘ ]</pre>
<p>End</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-26 23:46:07 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/for/" title="for">for</a>, <a href="https://www.biecuoliao.com/tag/ext/" title="ext">ext</a>, <a href="https://www.biecuoliao.com/tag/%e5%b1%9e%e6%80%a7/" title="属性">属性</a>, <a href="https://www.biecuoliao.com/tag/index/" title="index">index</a>, <a href="https://www.biecuoliao.com/tag/value/" title="value">value</a>, <a href="https://www.biecuoliao.com/tag/%e6%96%b9%e6%b3%95/" title="方法">方法</a>, <a href="https://www.biecuoliao.com/tag/while/" title="while">while</a>, <a href="https://www.biecuoliao.com/tag/%e6%9c%89%e4%b8%80%e4%b8%aa/" title="有一个">有一个</a>, <a href="https://www.biecuoliao.com/tag/iter/" title="iter">iter</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>ES6，数组遍历的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0koYWP0.html" rel="bookmark">JS几种数组遍历方式以及性能分析对比</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 这一篇与上一篇 JS几种变量交换方式以及性能分析对比 属于同一个系列,本文继续分析JS中几种常用的数组遍历方式以及各自的性能对比 起由 在上一次分析了JS几种常用变量交换方式以及各自性能后,觉得这种方式挺好的,于是抽取了核心逻辑,封装成了模板,打算拓展成一个系列,本文则是系列中的第二篇,JS数组遍历方式的分析对比 JS数组遍历的几种方式 JS数组遍历,基本就是for,forin,foreach,forof,map等等一些方法,以下介绍几种本文分析用到的数组遍历方式以及进行性能分析对比 第一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vAGEj0.html" rel="bookmark">JS几种数组遍历方式以及性能分析对比&lpar;转 未经测试，先mark&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 这一篇与上一篇 JS几种变量交换方式以及性能分析对比属于同一个系列,本文继续分析JS中几种常用的数组遍历方式以及各自的性能对比 起由 在上一次分析了JS几种常用变量交换方式以及各自性能后,觉得这种方式挺好的,于是抽取了核心逻辑,封装成了模板,打算拓展成一个系列,本文则是系列中的第二篇,JS数组遍历方式的分析对比 JS数组遍历的几种方式 JS数组遍历,基本就是for,forin,foreach,forof,map等等一些方法,以下介绍几种本文分析用到的数组遍历方式以及进行性能分析对比 第一种			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wYjLRM.html" rel="bookmark">数组的复制及ES6数组的扩展</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.数组的复制 // alert([1,2,3]==[1,2,3]); let cc = [0,1,2]; let dd = cc; alert(dd==cc);//此时改变dd会影响cc ES5 只能用变通方法来复制数组. const a1 = [1, 2]; const a2 = a1.concat(); a2[0] = 2; a1 // [1, 2] //使用ES6语法会防止这种现象出现 const a1 = [1, 2]; // 写法一 const a2 = [...a1]; // 写法			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mo6n2b4.html" rel="bookmark">js数组遍历方法总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数组遍历方法 1.for循环 使用临时变量,将长度缓存起来,避免重复获取数组长度,当数组较大时优化效果才会比较明显. for(j = 0,len=arr.length; j &lt; len; j++) { } 2.foreach循环 遍历数组中的每一项,没有返回值,对原数组没有影响,不支持IE //1 没有返回值 arr.forEach((item,index,array)=&gt;{ //执行代码 }) //参数:value数组中的当前项, index当前项的索引, array原始数组: //数组中有			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Monk9l4.html" rel="bookmark">JavaScript ES6 数组新方法 学习随笔</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JavaScript ES6 数组新方法 学习随笔 新建数组 var arr = [1, 2, 2, 3, 4] includes 方法 includes 查找数组有无该参数 有返回true var includes = arr.includes(2) map方法 map 遍历处理返回新数组 原数组不会改变 var map = arr.map(function (item) { return ++item }) reduce方法 reduce 遍历处理数组返回结果 prev与next中间的符号以			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0eOklb4.html" rel="bookmark">js数组遍历和对象遍历</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				针对js各种遍历作一个总结分析,从类型用处:分数组遍历和对象遍历:还有性能,优缺点等. JS数组遍历: 1,普通for循环,经常用的数组遍历 var arr = [1,2,0,3,9]; for ( var i = 0; i &lt;arr.length; i++){ console.log(arr[i]); } 2,优化版for循环:使用变量,将长度缓存起来,避免重复获取长度,数组很大时优化效果明显 for(var j = 0,len = arr.length; j &lt; len; j++){ co			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPxv1zM.html" rel="bookmark">数组遍历的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数组遍历的四种方法: 方法一: var arr=[&quot;apple&quot;,&quot;red&quot;,&quot;5&quot;]; for(var i=0;i&lt;arr.length;i++){ console.log(&quot;arr[&quot;+i+&quot;]: &quot;+arr[i]) } 方法二: for(var i in arr){ console.log(arr[i]) } 方法三:es5    v:值   i:索引 arr.forEach(function(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MGre5V4.html" rel="bookmark">ES6数组和对象的扩展</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				es6数组的扩展 扩展运算符 扩展运算符是对具有Iterator 接口的对象,都可以使用扩展运算符 Array.from() 用于将两类对象转化为真正的数组 1.类似数组的对象(只要据有length属性, 都可以被转化为数组) 2.可遍历(iterable)的对象 Array.of() 将一组值转化为数组 find和findIndex find方法,用于找出第一个符合条件的数组成员,没有找到会返回undefiend,findIndex方法返回的是第一个符合条件成员的位置, 如果找不到返回-1,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3qBPvN4.html" rel="bookmark">js 数组遍历 对象遍历</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.数组遍历 1,普通for循环,经常用的数组遍历 var arr = [1,2,0,3,9]; for ( var i = 0; i &lt;arr.length; i++){ console.log(arr[i]); } 2,优化版for循环:使用变量,将长度缓存起来,避免重复获取长度,数组很大时优化效果明显 for(var j = 0,len = arr.length; j &lt; len; j++){ console.log(arr[j]); } 3,forEach,ES5推出的,数组自带的循环			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0YeW7w0.html" rel="bookmark">JavaScript 数组遍历方法的对比</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 JavaScript 发展至今已经发展出多种数组的循环遍历的方法,不同的遍历方法运行起来那个比较快,不同循环方法使用在那些场景,下面将进行比较: 各种数组遍历的方法 for 语句 代码: var arr = [1,2,4,6] for(var i = 0, len = arr.length; i &lt; len; i++){ console.log(arr[i]) } 复制代码 这是标准for循环的写法也是最传统的语句,字符串也支持,定义一个变量i作为索引,以跟踪访问的位置,len是数组的长度			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/k0eyKE0.html" rel="bookmark" class="title">一款德国的Nagios插件---Check&lowbar;mk 搭建</a>
					<div>
						经过两周的研究与测试,把Check_Mk摸得40%程度,在这里简单的总结一下并分享给大家,可能还存在问题,请大家多多指点.. Check_mk 安装 第 1 章  check_mk的介绍 Check_ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lX5qL0.html" rel="bookmark" class="title">循环语句举例</a>
					<div>
						public class JCH { public static void main(String[] args) { //数组 int[] a = new int[3]; a[0] = 1; a[1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXdQzaM.html" rel="bookmark" class="title">onTouch先执行，还是onClick执行&quest;</a>
					<div>
						有一个Button 按钮,要想为该按钮设置onClick事件和OnTouch事件 mTestButton.setOnClickListener(new View.OnClickListener() { ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmlEEB4.html" rel="bookmark" class="title">10&period;25</a>
					<div>
						int x; setvbuf(stdout, NULL, _IONBF, 0); printf(&quot;please input x:&quot;); scanf(&quot;%d&quot;,& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0d5Yxr3.html" rel="bookmark" class="title">第六讲：面向对象编程（一）</a>
					<div>
						只有创造,才是真正的享受,只有拚搏,才是充实的生活. 本讲内容:面向对象的特征 一.类和对象的概念 面向对象程序语言的核心思想就是把一个事物的状态和行为封装起来作为一个整体看待.类描述的就是对象知道什 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyjeYp0.html" rel="bookmark" class="title">WPF中嵌入WinForm中的webbrowser控件</a>
					<div>
						原文:WPF中嵌入WinForm中的webbrowser控件 使用VS2008创建WPF应用程序,需使用webbrowser.从工具箱中添加WPF组件中的webbrowser发现其中有很多属性事件不能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Kqq5Y4.html" rel="bookmark" class="title">Android弹幕框架 黑暗火焰使</a>
					<div>
						笑谈风云,一语定乾坤.大家好,我是皖江. 今天我将分享由BiliBili开源的Android弹幕框架(DanmakuFlameMaster)的学习经验. 我是将整个框架以model的形式引入项目中的, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWLEea0.html" rel="bookmark" class="title">格式工厂 给视频添加背景音乐</a>
					<div>
						打开格式工厂,然后打开高级,混流 添加文件,然后按确定 按开始,接着保存.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02ZQaa0.html" rel="bookmark" class="title">小鑫爱运动</a>
					<div>
						题目描述 小鑫非常喜欢运动,有一次小鑫去参加110米栏的比赛,一共有10名比赛选手,小鑫是1号,由于跑的太专注,最后冲线的时候不知道自己是第几名,只知道每个人最后的成绩,聪明的你可不可以帮帮他? 输入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xZmrD4.html" rel="bookmark" class="title">info&period;plist</a>
					<div>
						更新了Xcode8 以及 iOS10,App访问用户的相机.相册.麦克风.通讯录的权限都需要重新进行相关的配置,不然在Xcode8中打开编译的话会直接crash. 需要在info.plist中添加Ap ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MglzNN0.html" rel="bookmark" class="title">基础算法思想（二）</a>
					<div>
						分治算法 使用分治法设计程序时,一般可按以下步骤进行: (1)分解:将要求解的问题划分成若干规模较小的同类问题 (2)求解:当子问题划分得足够小时,用较简单的方法解决 (3)合并:按求解问题的要求,将 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mo5g1w3.html" rel="bookmark" class="title">java模拟从http上下载文件</a>
					<div>
						1.依赖 Apache httpclient 包. 2.代码 HttpClient httpclient = new DefaultHttpClient(); HttpPost httppost =  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JvD5Y4.html" rel="bookmark" class="title">【翻译自mos文章】在网络流量变大&lpar;比如rman duplicat 一个active database&rpar;之后，由于脑裂导致节点重启</a>
					<div>
						在网络流量变大(比如rman duplicat 一个active database)之后,由于脑裂导致节点重启 来源于: The node reboots due to split brain dur ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyQDdAM.html" rel="bookmark" class="title">事务的理解及应用</a>
					<div>
						1.事物的理解: 事务(Transaction)是并发控制的基本单位.指作为单个逻辑工作单元执行的一系列操作,而这些逻辑工作单元需要具有原子性,一致性,隔离性和持久性四个属性,统称为ACID特性. A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41Gg6P0.html" rel="bookmark" class="title">使用python获得activemq信息（通过http&colon;&sol;&sol;server&colon;8161&sol;</a>
					<div>
						1 # encoding=utf-8 2 import urllib2 3 import cookielib 4 # from BeautifulSoup import BeautifulSoup 5 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e9JNw0.html" rel="bookmark" class="title">使用js倒计时还有几天及计时过了几天</a>
					<div>
						公司主营业务是体育赛事为主的:尤其是足球赛事.现正值2016法国欧洲杯:之前忙于做欧洲杯专题没时间总结.现分享一个工作中需求带来的经历. 需求是:从现在开始倒计时欧洲杯还有多久开赛:当开赛之后开始计算 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0n7LXN3.html" rel="bookmark" class="title">605个汉字承包近千所国内高校校训</a>
					<div>
						605个汉字承包近千所国内高校校训 高考结束,各位考生本人以及考生的爸爸.妈妈.爷爷.奶奶.外公.外婆.哥哥.姐姐.叔叔.阿姨们都在焦急等待成绩,三.五.七.八分的不同熟度过不多久就会揭晓,在揭晓成绩 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmQ8XKM.html" rel="bookmark" class="title">网站分布式架构</a>
					<div>
						原文:http://xubaoguo.iteye.com/blog/1882030 摘要: 互联网的网站和大部分企业管理软件一样都是使用B/S架构模型,但是大型的公共网站B/S架构会更加复杂,对架构人 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JlZKb0.html" rel="bookmark" class="title">Spring Boot&mdash;&mdash;2分钟构建spring web mvc REST风格HelloWorld</a>
					<div>
						之前有一篇&lt;5分钟构建spring web mvc REST风格HelloWorld&gt;介绍了普通方式开发spring web mvc web service.接下来看看使用spring b ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4A2oNKM.html" rel="bookmark" class="title">最全Pycharm教程（8）&mdash;&mdash;Django工程的创建和管理</a>
					<div>
						最全Pycharm教程(1)——定制外观 最全Pycharm教程(2)——代码风格 最全Pycharm教程(3)——代码的调试.运行 最全Pycharm教程(4)——有关Python解释器的相关配置  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
